Bug 5909 - Authorities : SetUTF8Flag on any incoming data
Summary: Authorities : SetUTF8Flag on any incoming data
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5581
  Show dependency treegraph
 
Reported: 2011-03-20 22:38 UTC by Chris Cormack
Modified: 2012-10-25 23:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.90 KB, patch)
2011-03-20 22:41 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-03-20 22:38:05 UTC

    
Comment 1 Chris Cormack 2011-03-20 22:39:47 UTC
This prompts NFC normalization on adding record

Therefore, any saved record will be NFC normalized
Comment 2 Chris Cormack 2011-03-20 22:41:02 UTC
Created attachment 3372 [details] [review]
Proposed patch
Comment 3 Julian Maurice 2011-03-22 10:00:33 UTC
Signed off, it works as expected
Comment 4 Chris Cormack 2011-03-23 07:01:40 UTC
Pushed, please test
Comment 5 MJ Ray (software.coop) 2011-04-05 14:18:20 UTC
This bug is mentioned in:
Bug 5909 : SetUTF8Flag on any incoming data http://lists.koha-community.org/pipermail/koha-patches/2011-March/014151.html
Bug 5909 : SetUTF8Flag on any	incoming data http://lists.koha-community.org/pipermail/koha-patches/2011-March/014180.html